Package org.apache.cxf.phase

# Class AbortedInvocationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.cxf.phase.AbortedInvocationException

All Implemented Interfaces:
  `Serializable`

public class AbortedInvocationException extends RuntimeException
Represents transport-specific exceptions which are used to indicate that a given invocation was suspended

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbortedInvocationException()`
  `AbortedInvocationException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RuntimeException`
  `getRuntimeException()`
  Returns a transport-specific runtime exception

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbortedInvocationException

    public AbortedInvocationException(Throwable cause)

  - ### AbortedInvocationException

    public AbortedInvocationException()

- ## Method Details

  - ### getRuntimeException

    public RuntimeException getRuntimeException()
    Returns a transport-specific runtime exception
    Returns:
      RuntimeException the transport-specific runtime exception, can be null for asynchronous transports